#
# spec file for package rembrand (Version 1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libelf libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm rpm-devel sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           rembrand
BuildRequires:  libelf popt-devel rpm-devel
License:        GNU General Public License (GPL)
Group:          System/Management
Autoreqprov:    on
Version:        1.0
Release:        1
Summary:        A tool to remove SUSE/Novell branding from openSUSE
Source:         file://suse/mls/rpminjectfile-1.0.tar.gz
Source1:        file://suse/jw/src/rembrand/rpm-rembrand.pl
Source2:        file://suse/jw/src/rembrand/defaults.tar.gz
Patch:          rpminjectfile-vendor.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       rpminjectfile rpm-rembrand
Requires:       perl

%description
A tool to remove SUSE/Novell branding from openSUSE. Contains
rpminjectfile.



Authors:
--------
    jw@suse.de
    mls@suse.de

%prep
%setup -n rpminjectfile-1.0
cp %{S:1} .
tar zxvf %{S:2} 
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" make

%install
BINDIR=$RPM_BUILD_ROOT/usr/bin
LIBDIR=$RPM_BUILD_ROOT/usr/share/rembrand/defaults
mkdir -p $BINDIR
mkdir -p $LIBDIR
install -m 755 rpm-rembrand.pl $BINDIR/rpm-rembrand
install -m 755 rpminjectfile   $BINDIR
install -m 644 defaults/*      $LIBDIR

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)   
/usr/bin/*
/usr/share/*

%changelog -n rembrand
* Thu Nov 23 2006 - jw@suse.de
- initial version 1.0
  - contains rpminjectfile and a wrapper script.
  - list of Trademark-Files to be done.
  - bugzilla #180391
